MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024730Community[OCCT] OCCT:Codingpublic2014-03-15 19:542014-05-05 13:38
Reportermach22 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024730: Remove constructor for class TopOpeBRep_GeomTool
Descriptionthe class TopOpeBRep_GeomTool has only static methods so having a void constructor is useless, so it could be removed
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024754closedapn Remove constructor for static class TopOpeBRep_PointGeomTool 

-  Notes
(0028361)
kgv (developer)
2014-03-19 16:11

Dear bugmaster,

please check compilation of branch CR24730 and integrate.
(0028383)
mkv (tester)
2014-03-20 11:11

Dear BugMaster,

Branch CR24730 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 3504201b4e764ef8630ed92e0e2e4f263881cf01

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 386196000 / 386276008
Total CPU difference: 73325.47999999995 / 48827.5

Testing on Windows:
Total MEMORY difference: 430736020 / 430913404
Total CPU difference: 33684.546875 / 35761.53125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 65b88edb
Timestamp: 2014-03-19 12:10:05
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024730: remove constructor for class TopOpeBRep_PointGeomTool
mod - src/TopOpeBRep/TopOpeBRep_GeomTool.cdl Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_GeomTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-15 19:54 mach22 New Issue
2014-03-15 19:54 mach22 Assigned To => kgv
2014-03-15 21:45 kgv Severity minor => integration request
2014-03-19 16:11 kgv Note Added: 0028361
2014-03-19 16:11 kgv Assigned To kgv => bugmaster
2014-03-19 16:11 kgv Status new => resolved
2014-03-19 16:11 kgv Status resolved => reviewed
2014-03-19 16:11 kgv Target Version => 6.7.1
2014-03-19 16:11 kgv Summary remove constructor for class TopOpeBRep_PointGeomTool => Remove constructor for class TopOpeBRep_PointGeomTool
2014-03-19 19:12 mkv Assigned To bugmaster => mkv
2014-03-20 11:11 mkv Note Added: 0028383
2014-03-20 11:11 mkv Test case number => Not needed
2014-03-20 11:11 mkv Assigned To mkv => bugmaster
2014-03-20 11:11 mkv Status reviewed => tested
2014-03-21 16:18 bugmaster Changeset attached => occt master 65b88edb
2014-03-21 16:18 bugmaster Status tested => verified
2014-03-21 16:18 bugmaster Resolution open => fixed
2014-03-23 10:50 kgv Relationship added related to 0024754
2014-03-28 10:59 kgv Summary Remove constructor for class TopOpeBRep_PointGeomTool => Remove constructor for class TopOpeBRep_GeomTool
2014-03-28 10:59 kgv Description Updated View Revisions
2014-05-05 13:33 user533 Status verified => closed
2014-05-05 13:38 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker